MantisBT - v1.2 Release (Closed)
View Issue Details
0000253v1.2 Release (Closed)[All Projects] Generalpublic2009-09-11 18:032009-12-08 19:09
Reporteregemme 
Assigned Totrevormorse 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.2 
Summary0000253: Can't logon w2p !!!
DescriptionI run w2p on Zend CE on Windows. It worked right until some revision ago. Can't tell which one, something around r604. Logon screen appears, but hit error 500 with this message in the log.

C:\Program Files\Zend\Apache2\htdocs\web2project\classes\query.class.php(1145): query failed(UPDATE `user_access_log` SET `date_time_last_action` = 'NOW()' WHERE user_access_log_id = 3173) - error was: <span style="color:red">Incorrect datetime value: 'NOW()' for column 'date_time_last_action' at row 1</span>.

I tried many things: convert again from a fresh dP database, update Zend CE. BTW, when I config, the Server API is now reported to be problematic.

Have you created a new dependency to Linux by any chance?

TIA
TagsNo tags attached.
Attached Files

Notes
(0000479)
pedroa   
2009-09-12 09:39   
egemme are you using version 1.1 of w2P?

If no, please do because I think this only existed on a particular revision, and shouldn't be happening anymore.

Cheers and let us know.

Thanks,

Pedro A.
(0000480)
trevormorse   
2009-09-12 12:12   
egemme, can you please try grabbing the latest revision? I believe I have this fixed there. Please let me know how you make out!

Thanks,

Trevor
(0000481)
egemme   
2009-09-12 19:36   
FYI, I was using r624 from trunk hence, 1.1. I updated to the head revision as per trevormorse recommendation, and this fixed the problem so far so good. I can logon again and play around again. Thanks for your prompt answer, it's always a pleasure to work with all of you!

But, I still get the message "CGI is likely to have problems" in the install checks. I believe Zend uses a FastCGI api by default. I thinks this is a false problem as far as w2p seems to work fine now.
(0000484)
trevormorse   
2009-09-13 04:24   
Glad it worked for you egemme! Please take a look at this link for a response about the FastCGI warning - http://forums.web2project.net/viewtopic.php?t=633

Issue History
2009-09-11 18:03egemmeNew Issue
2009-09-12 08:11caseydkStatusnew => assigned
2009-09-12 08:11caseydkAssigned To => trevormorse
2009-09-12 09:39pedroaNote Added: 0000479
2009-09-12 09:39pedroaStatusassigned => feedback
2009-09-12 12:12trevormorseNote Added: 0000480
2009-09-12 19:36egemmeNote Added: 0000481
2009-09-13 04:24trevormorseNote Added: 0000484
2009-09-13 04:25trevormorseStatusfeedback => resolved
2009-09-13 04:25trevormorseResolutionopen => fixed
2009-09-15 09:10caseydkProjectv1.1 Release (Closed) => v1.2 Release (Closed)
2009-12-08 19:09caseydkStatusresolved => closed
2009-12-08 19:09caseydkFixed in Version => 1.2